# ActionInJeecgBoot JeecgBoot实战

N年前寻找一款开源免费脚手架实现管理系统。
Jeecg、RuoYi、Guns、JFinal……
* 功能是否丰富
* 框架是否太重
* 开源协议是否友好
* 技术栈是否主流
* 文档、视频、圈子生态是否完善
* ……

## 课程概述
我们基于JeecgBoot的微服务版本（SpringCloudAlibaba）和Vue3前端（AntDesign、VxeTable）版本，实现了复杂的信息管理系统，本系列课程分享实战过程中的技术解决方案，与大家共同学习。

## 课程大纲：
* JeecgBoot功能使用及实现分析
  * JeecgBoot的用户、部门、角色管理的使用及实现
  * JeecgBoot的权限管理，路由、菜单的使用
  * JeecgBoot的租户管理的使用
  * JeecgBoot字典功能使用及扩展
* 使用JeecgBoot开发实战
  * 新增记录的实现
  * 删除记录的注意事项
  * 何时查询数据？
  * 菜单路由参数的使用
  * 模块化组件化开发-父子表及更为复杂的结构，前后端的代码组织方式
  * 多语言的应用
  * 页面功能向导式用户帮助功能
  * 页面水印功能的实现
  * 数据校验规则的使用
  * Excel导入与导出
  * 自定义注解
    * Spring缓存@Cacheable
    * 字典翻译@Dict
    * 数据权限@PermissionData
    * 日志记录@AutoLog
* 扩展JeecgBoot，自定义组件、方法等
  * 扩展组件应用效果展示，JVxeTable的Tags
  * 扩展组件应用效果展示，JVxeTable和Form表单的类Popup实现
  * 自定义注解实现数据日志
  * 自定义服务实现数据日志
  * 自定义实体超类实现VO字段扩展等
* 扩展JeecgBoot，集成工作流等系统、模块
  * 集成工作流应用效果展示
  * 集成低代码表单应用效果展示
  * 实现自定义工作台
  * 实现表格栏自定义显示
  * 实现高级查询
* 系统部署等
  * JeecgBoot部署，Jar单文件、Jar库分离、War包部署
  * JeecgBoot部署，Docker部署
  * 数据库兼容的实现
* JeecgBoot相关技术
  * MyBatisPlus
    * 逻辑删除@TableLogic
  * Swagger
  * SpringCloud
  * Logback
* 持续更新中……

## 资源获取
课程录屏将上传到Bilibili等视频网站，部分文档资料将上传到博客园等平台，相关文档、代码等将在此仓库中存档。